#include <Wire.h>
#include "Si1145.h"

Si1145 uv = Si1145();

void setup() {
  Serial.begin(9600);
  
  if (! uv.begin()) {
    Serial.println("Didn't find Si1145 !\r\n");
    while (1);
  }

  Serial.println("Si1145 Init success !\r\n");
}

void loop() {
//  Serial.println("===================");
//  Serial.print("Vis: "); Serial.println(uv.readVisible());
//  Serial.print("IR: "); Serial.println(uv.readIR());
  
  // Uncomment if you have an IR LED attached to LED pin!
  //Serial.print("Prox: "); Serial.println(uv.readProx());

  float UVindex = uv.readUV();
  // the index is multiplied by 100 so to get the
  // integer index, divide by 100!
  UVindex /= 100.0;  
  Serial.print("UV: ");  
  Serial.println(UVindex);
  delay(1000);
}
